# Eve::Api

Ruby gem that includes support for both XML and CREST EVE APIs.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'eve-api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install eve-api

## Usage

Work In Progress

TODO
* Character
  * Account Balance
  * Asset List
  * Calendar Event Attendees
  * Character Sheet
  * Contact List
  * Contact Notifications
  * Contracts
  * Contract Items
  * Contract Bids
  * Factional Warfare Stats
  * Industry Jobs
  * Kill Log
  * Locations
  * Mail Bodies
  * Mailing Lists
  * Mail Messages
  * Market Orders
  * Medals
  * Notifications
  * Notification Texts
  * Research
  * Skill in Training
  * Skill Queue
  * Standings
  * Upcoming Calendar Events
  * Wallet Journal

* Corporation
  * Account Balances
  * Asset List
  * Contact List
  * Container Log
  * Contracts
  * Contract Items
  * Contract Bids
  * Corporation Sheet
  * Factional Warfare Stats
  * Industry Jobs
  * Kill Log
  * Locations
  * Market Orders
  * Medals
  * Member Medals
  * Member Security
  * Member Security Log
  * Member Tracking
  * Outpost List
  * Outpost Service Detail
  * Shareholders
  * Standings
  * StarbaseDetail Details
  * Starbase List
  * Titles
  * Wallet Journal
  * Wallet Transactions

* EVE
  * Alliance List
  * Certificate Tree
  * Character Affiliation
  * Character ID
  * Conquerable Station List
  * Error List
  * Factional Warfare Stats
  * Factional Warfare Top 100 Stats
  * RefTypes List
  * Skill Tree
  * Type Name

* Map
  * Factional Warfare Systems
  * Jumps
  * Kills
  * Sovereignty
  * Sovereignty Status

* Misc
  * Image
  * Old Portraits

* Server
  * Server Status


## Contributing

1. Fork it ( https://github.com/[my-github-username]/eve-api/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
