# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'eve/api/version'

Gem::Specification.new do |spec|
  spec.name          = "eve-gate"
  spec.version       = Eve::Api::VERSION
  spec.authors       = ["Nathan Wise"]
  spec.email         = ["nathanwise@gmail.com"]
  spec.summary       = %q{Ruby gem for EVE Online API}
  spec.description   = %q{Ruby gem for EVE Online API XML & CREST}
  spec.homepage      = "http://github.com/nwise/eve-gate"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").delete_if{ |f| (f.index(/eve-gate-\d+.\d+.\d+.gem/) == 0) or (f.index(/eve-gate\.gemset/))}
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1"
  spec.add_development_dependency "pry", "~> 0.10"

  spec.add_runtime_dependency "httparty", "~> 0.13"
  spec.add_runtime_dependency "nokogiri", "~> 1.6"
end
